# Retrieve Authentication Parameter’s Value
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/data-management/query-cms-get-particular-data/retrieve-auth-para-value/index.md

## Overview {#overview}

The use case describes how you retrieve the authentication parameter's value of the contract.

## Sequence diagram {#sequence-diagram}

Diagram retrieve-auth-para-values

### Explanation {#explanation}

1. The server sends a `GET` request to the `/contracts/{contract_id}/authentication-parameter-values` endpoint. The server must pass two query parameters, `authentication_type_code` and `authentication_parameter_name`. To retrieve data for the account contract or card contract, the server must put `accountContractId` or `cardContractId`, respectively, in place of `contract_id` in the path.
2. The API returns the `authenticationParameterValue` for the authentication parameter name of the requested authentication type code.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-auth-param-value/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `GET /contracts/{contract_id}/authentication-parameter-values`

